This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 804693 - java.lang.ClassNotFoundException: org.eclipse.ui.forms.events.IHyperlinkListener
java.lang.ClassNotFoundException: org.eclipse.ui.forms.events.IHyperlinkListener
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 11:39 EDT by Orion Poplawski
Modified: 2013-02-13 03:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:27:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (256.99 KB, image/png)
2012-03-19 11:46 EDT, Orion Poplawski
no flags Details
Current workspace/.metadata/.log (669.23 KB, text/plain)
2012-03-20 12:09 EDT, Orion Poplawski
no flags Details
Fresh workspace/.metadata/.log (4.97 KB, text/plain)
2012-03-20 12:13 EDT, Orion Poplawski
no flags Details
Configuration details (386.02 KB, text/plain)
2012-03-20 12:14 EDT, Orion Poplawski
no flags Details
workspace/.metadata/.log after -clean (10.08 KB, text/plain)
2012-03-21 11:26 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2012-03-19 11:39:26 EDT
Description of problem:

On eclipse startup I'm seeing the following in one of the views:

Could not create the view: org/eclipse/ui/forms/events/IHyperlinkListener

java.lang.ClassNotFoundException: org.eclipse.ui.forms.events.IHyperlinkListener
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:513)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:429)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:417)
	at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:107)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:186)
	at org.eclipse.ui.intro.config.CustomizableIntroPart$1.getAdapterList(CustomizableIntroPart.java:100)
	at org.eclipse.core.internal.runtime.AdapterManager.addFactoriesFor(AdapterManager.java:111)
	at org.eclipse.core.internal.runtime.AdapterManager.getFactories(AdapterManager.java:211)
	at org.eclipse.core.internal.runtime.AdapterManager.getAdapter(AdapterManager.java:292)
	at org.eclipse.ui.part.IntroPart.getAdapter(IntroPart.java:143)
	at org.eclipse.ui.internal.ViewIntroAdapterPart.getAdapter(ViewIntroAdapterPart.java:117)
	at org.eclipse.ui.internal.PartTester.testWorkbenchPart(PartTester.java:97)
	at org.eclipse.ui.internal.PartTester.testView(PartTester.java:145)
	at org.eclipse.ui.internal.ViewReference.createPartHelper(ViewReference.java:431)
	at org.eclipse.ui.internal.ViewReference.createPart(ViewReference.java:229)
	at org.eclipse.ui.internal.WorkbenchPartReference.getPart(WorkbenchPartReference.java:595)
	at org.eclipse.ui.internal.Perspective.showView(Perspective.java:2245)
	at org.eclipse.ui.internal.WorkbenchPage.busyShowView(WorkbenchPage.java:1145)
	at org.eclipse.ui.internal.WorkbenchPage$20.run(WorkbenchPage.java:3921)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.ui.internal.WorkbenchPage.showView(WorkbenchPage.java:3918)
	at org.eclipse.ui.internal.WorkbenchPage.showView(WorkbenchPage.java:3894)
	at org.eclipse.ui.internal.WorkbenchIntroManager.createIntro(WorkbenchIntroManager.java:173)
	at org.eclipse.ui.internal.WorkbenchIntroManager.showIntro(WorkbenchIntroManager.java:120)
	at org.eclipse.ui.internal.WorkbenchWindow$21.runWithException(WorkbenchWindow.java:2301)
	at org.eclipse.ui.internal.StartupThreading$StartupRunnable.run(StartupThreading.java:31)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:135)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3563)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3212)
	at org.eclipse.ui.application.WorkbenchAdvisor.openWindows(WorkbenchAdvisor.java:803)
	at org.eclipse.ui.internal.Workbench$33.runWithException(Workbench.java:1595)
	at org.eclipse.ui.internal.StartupThreading$StartupRunnable.run(StartupThreading.java:31)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:135)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3563)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3212)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2604)
	at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2494)
	at org.eclipse.ui.internal.Workbench$7.run(Workbench.java:674)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:667)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:123)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1410)

Seems odd, since the that class should be installed:

[root@orca ~]# unzip -v /usr/lib/eclipse/plugins/org.eclipse.ui.forms_3.5.100.v20110425.jar | grep org.eclipse.ui.forms.events.IHyperlinkListener
     262  Defl:N      180  31% 11-29-2011 14:49 acd66ba5  org/eclipse/ui/forms/events/IHyperlinkListener.class
[root@orca ~]# rpm -qf /usr/lib/eclipse/plugins/org.eclipse.ui.forms_3.5.100.v20110425.jar
eclipse-platform-3.7.1-7.fc16.i686

Version-Release number of selected component (if applicable):
eclipse-cdt-8.0.1-4.fc16.i686
eclipse-cdt-parsers-8.0.1-4.fc16.i686
eclipse-cmakeed-1.1.5-2.fc15.noarch
eclipse-egit-1.1.0-2.fc16.noarch
eclipse-emf-2.7.1-1.fc16.noarch
eclipse-jdt-3.7.1-7.fc16.i686
eclipse-jgit-1.1.0-4.fc16.noarch
eclipse-pde-3.7.1-7.fc16.i686
eclipse-photran-7.0.6-1.fc16.noarch
eclipse-photran-intel-7.0.6-1.fc16.noarch
eclipse-platform-3.7.1-7.fc16.i686
eclipse-ptp-5.0.6-1.fc16.noarch
eclipse-ptp-etfw-ppw-5.0.6-1.fc16.noarch
eclipse-ptp-etfw-tau-5.0.6-1.fc16.noarch
eclipse-ptp-etfw-tau-fortran-5.0.6-1.fc16.noarch
eclipse-ptp-gem-5.0.6-1.fc16.noarch
eclipse-ptp-pldt-fortran-5.0.6-1.fc16.noarch
eclipse-ptp-pldt-upc-5.0.6-1.fc16.noarch
eclipse-ptp-rdt-5.0.6-1.fc16.noarch
eclipse-ptp-rdt-sync-5.0.6-1.fc16.noarch
eclipse-ptp-rdt-sync-fortran-5.0.6-1.fc16.noarch
eclipse-ptp-rdt-xlc-5.0.6-1.fc16.noarch
eclipse-ptp-remote-rse-5.0.6-1.fc16.noarch
eclipse-ptp-rm-contrib-5.0.6-1.fc16.noarch
eclipse-ptp-sci-5.0.6-1.fc16.noarch
eclipse-ptp-sdk-5.0.6-1.fc16.noarch
eclipse-rcp-3.7.1-7.fc16.i686
eclipse-rse-3.3-3.fc17.noarch
eclipse-subclipse-1.6.18-1.fc16.noarch
eclipse-svnkit-1.3.4-2.fc15.noarch
eclipse-swt-3.7.1-7.fc16.i686


How reproducible:
2 for 2
Comment 1 Orion Poplawski 2012-03-19 11:40:40 EDT
Also seeing in the console window:

Unable to get $PATH.
Unable to find full path for "gcc"
Unable to get $PATH.
Unable to find full path for "gcc"

Probably not related, but figured I'd mention it.
Comment 2 Orion Poplawski 2012-03-19 11:46:24 EDT
Created attachment 571165 [details]
Screenshot
Comment 3 Andrew Overholt 2012-03-19 12:08:14 EDT
My first guess was something to do with the browser support (since it's in the Welcome view) but things work fine for me with a new workspace (ie. the welcome view comes up without problems).  I'm doing a yum update now so we'll see if anything breaks after that.  I'm on the same Eclipse Pplatform version as you but I have an older (by one qualifier) PTP.  I've got other stuff installed, too.

The one thing to note is that plugins can contribute to the welcome view so maybe something crazy is being attempted there?
Comment 4 Orion Poplawski 2012-03-19 12:22:38 EDT
I don't see it with a fresh workspace either, so yeah, something got screwed up.
Comment 5 Krzysztof Daniel 2012-03-20 03:55:53 EDT
Thanks for the bug report. I'd like to ask you for your installation details and your eclipse .log.

Installation Details can be found in Help->About->Installation Details->Configuration (just copy and paste into a file).

The .log file is located in the .metadata folder in your workspace.

If you could attach your current .log, and then remove it, start Eclipse, reproduce the issue, and attach the "clean" .log, it would be great.
Comment 6 Orion Poplawski 2012-03-20 12:09:36 EDT
Created attachment 571462 [details]
Current workspace/.metadata/.log
Comment 7 Orion Poplawski 2012-03-20 12:13:46 EDT
Created attachment 571463 [details]
Fresh workspace/.metadata/.log
Comment 8 Orion Poplawski 2012-03-20 12:14:31 EDT
Created attachment 571464 [details]
Configuration details
Comment 9 Krzysztof Daniel 2012-03-21 03:19:22 EDT
There is a lot of errors in your .log. I think that this reported one is caused by earlier Eclipse crash (it says that Eclipse exited with unsaved changes - which happens only if Eclipse dies).

Could you try to run eclipse with the failing workspace and -clean?
Comment 10 Orion Poplawski 2012-03-21 11:26:52 EDT
Created attachment 571744 [details]
workspace/.metadata/.log after -clean

I removed workspace/.metadata/.log and ran eclipse -clean.  Here is the .log file.
Comment 11 Alexander Kurtakov 2012-05-09 07:48:17 EDT
Orion, is this still an issue?
Comment 12 Orion Poplawski 2012-05-09 11:29:37 EDT
Yes.  Interestingly though, I had closed the welcome view so I added it back.  When I added it it displayed fine.  Then I quit, got an error when saving workbench state, and when I start now with the Welcome view active I get this classnotfound exception again.
Comment 13 Fedora End Of Life 2013-01-16 05:08:44 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Fedora End Of Life 2013-02-13 03:27:30 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.